apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "tuf.fullname" . }}-worker-cm
  labels:
    {{- include "tuf.labels" . | nindent 4 }}
data:
  config.yaml: |
    broker_connection_string: {{ .Values.config.rabbitmq.protocol}}://{{ .Values.config.rabbitmq.username }}:{{ .Values.config.rabbitmq.password}}@{{ .Values.config.rabbitmq.host}}
    number_of_bins: {{ .Values.config.number_of_bins }}
    hashed_bins_key_name: {{ .Values.config.hashed_bins_key_name }}
    {{- toYaml .Values.commonConfig | nindent 4 }}
